ata_scsi_dev_rescan
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsi_dev_rescan — initiate `scsi_rescan_device`

## Synopsis

`void ata_scsi_dev_rescan (` | struct work_struct * | work`)`;

## Arguments

`work`

  Pointer to ATA port to perform `scsi_rescan_device`

## Description

After ATA pass thru (SAT) commands are executed successfully, libata need to propagate the changes to SCSI layer. This function must be executed from ata_aux_wq such that sdev attach/detach don't race with rescan.

## LOCKING

Kernel thread context (may sleep).

Prev | Up | Next
ata_scsi_user_scan | Home | Chapter 7. ATA errors and exceptions